package com.ruoyi.project.plant.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 会议预约信息对象 t_conf_info
 *
 * @author ssy
 * @date 2024-05-07
 */
public class TConfInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 会议室id */
    @Excel(name = "会议室id")
    private Long roomId;

    /** 会议主题 */
    @Excel(name = "会议主题")
    private String subject;

    /** 召集人 */
    @Excel(name = "召集人")
    private String convenerId;

    /** 召集人姓名 */
    @Excel(name = "召集人姓名")
    private String convenerName;

    /** 会议室名称 */
    @Excel(name = "会议室名称")
    private String roomName;

    /** 参会人 */
    @Excel(name = "参会人")
    private String participantsList;

    /** 会议开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @Excel(name = "会议开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date beginDatetime;

    /** 会议结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @Excel(name = "会议结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDatetime;

    /** 颜色 */
    @Excel(name = "颜色")
    private String color;

    /** 全天显示 */
    @Excel(name = "全天显示")
    private String isAllday;

    /** 生成频率 */
    @Excel(name = "生成频率")
    private String genFrequency;

    /** 生成月 */
    @Excel(name = "生成月")
    private String genMonth;

    /** 生成日 */
    @Excel(name = "生成日")
    private String genDay;

    /** 生成日期 */
    @Excel(name = "生成日期")
    private String genDate;

    /** 生成时间 */
    @Excel(name = "生成时间")
    private String genDatetime;

    /** 删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 所属部门 */
    @Excel(name = "所属部门")
    private Long deptId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setRoomId(Long roomId)
    {
        this.roomId = roomId;
    }

    public Long getRoomId()
    {
        return roomId;
    }
    public void setSubject(String subject)
    {
        this.subject = subject;
    }

    public String getSubject()
    {
        return subject;
    }
    public void setConvenerId(String convenerId)
    {
        this.convenerId = convenerId;
    }

    public String getConvenerId()
    {
        return convenerId;
    }
    public void setConvenerName(String convenerName)
    {
        this.convenerName = convenerName;
    }

    public String getConvenerName()
    {
        return convenerName;
    }
    public void setRoomName(String roomName)
    {
        this.roomName = roomName;
    }

    public String getRoomName()
    {
        return roomName;
    }
    public void setParticipantsList(String participantsList)
    {
        this.participantsList = participantsList;
    }

    public String getParticipantsList()
    {
        return participantsList;
    }
    public void setBeginDatetime(Date beginDatetime)
    {
        this.beginDatetime = beginDatetime;
    }

    public Date getBeginDatetime()
    {
        return beginDatetime;
    }
    public void setEndDatetime(Date endDatetime)
    {
        this.endDatetime = endDatetime;
    }

    public Date getEndDatetime()
    {
        return endDatetime;
    }
    public void setColor(String color)
    {
        this.color = color;
    }

    public String getColor()
    {
        return color;
    }
    public void setIsAllday(String isAllday)
    {
        this.isAllday = isAllday;
    }

    public String getIsAllday()
    {
        return isAllday;
    }
    public void setGenFrequency(String genFrequency)
    {
        this.genFrequency = genFrequency;
    }

    public String getGenFrequency()
    {
        return genFrequency;
    }
    public void setGenMonth(String genMonth)
    {
        this.genMonth = genMonth;
    }

    public String getGenMonth()
    {
        return genMonth;
    }
    public void setGenDay(String genDay)
    {
        this.genDay = genDay;
    }

    public String getGenDay()
    {
        return genDay;
    }
    public void setGenDate(String genDate)
    {
        this.genDate = genDate;
    }

    public String getGenDate()
    {
        return genDate;
    }
    public void setGenDatetime(String genDatetime)
    {
        this.genDatetime = genDatetime;
    }

    public String getGenDatetime()
    {
        return genDatetime;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("roomId", getRoomId())
            .append("subject", getSubject())
            .append("convenerId", getConvenerId())
            .append("convenerName", getConvenerName())
            .append("roomName", getRoomName())
            .append("participantsList", getParticipantsList())
            .append("beginDatetime", getBeginDatetime())
            .append("endDatetime", getEndDatetime())
            .append("color", getColor())
            .append("isAllday", getIsAllday())
            .append("genFrequency", getGenFrequency())
            .append("genMonth", getGenMonth())
            .append("genDay", getGenDay())
            .append("genDate", getGenDate())
            .append("genDatetime", getGenDatetime())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
